ome-xml 5.2.3

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::Experimenter Class Reference

Experimenter model object. More...

`#include <ome/xml/model/Experimenter.h>`

Inheritance diagram for ome::xml::model::Experimenter:
[legend]
Collaboration diagram for ome::xml::model::Experimenter:
[legend]

## Classes
class | Impl
| Private implementation details of Experimenter model object. More...

## Public Member Functions
| Experimenter ()
| Default constructor.
| Experimenter (const Experimenter &copy)
| Copy constructor. More...
virtual | ~Experimenter ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
ome::compat::shared_ptr< std::string > | getEmail ()
| Get the Email property. More...
const ome::compat::shared_ptr< std::string > | getEmail () const
| Get the Email property. More...
void | setEmail (ome::compat::shared_ptr< std::string > &email)
| Set the Email property. More...
ome::compat::shared_ptr< std::string > | getUserName ()
| Get the UserName property. More...
const ome::compat::shared_ptr< std::string > | getUserName () const
| Get the UserName property. More...
void | setUserName (ome::compat::shared_ptr< std::string > &userName)
| Set the UserName property. More...
ome::compat::shared_ptr< std::string > | getFirstName ()
| Get the FirstName property. More...
const ome::compat::shared_ptr< std::string > | getFirstName () const
| Get the FirstName property. More...
void | setFirstName (ome::compat::shared_ptr< std::string > &firstName)
| Set the FirstName property. More...
ome::compat::shared_ptr< std::string > | getMiddleName ()
| Get the MiddleName property. More...
const ome::compat::shared_ptr< std::string > | getMiddleName () const
| Get the MiddleName property. More...
void | setMiddleName (ome::compat::shared_ptr< std::string > &middleName)
| Set the MiddleName property. More...
ome::compat::shared_ptr< std::string > | getLastName ()
| Get the LastName property. More...
const ome::compat::shared_ptr< std::string > | getLastName () const
| Get the LastName property. More...
void | setLastName (ome::compat::shared_ptr< std::string > &lastName)
| Set the LastName property. More...
const std::string & | getID () const
| Get the ID property. More...
void | setID (const std::string &id)
| Set the ID property. More...
ome::compat::shared_ptr< std::string > | getInstitution ()
| Get the Institution property. More...
const ome::compat::shared_ptr< std::string > | getInstitution () const
| Get the Institution property. More...
void | setInstitution (ome::compat::shared_ptr< std::string > &institution)
| Set the Institution property. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedAnnotationList () const
| Get size of linked Annotation list. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | getLinkedAnnotationList () const
| Get the linked Annotation list. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | getLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Annotation. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | setLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Set linked Annotation. More...
bool | linkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Link Annotation. More...
bool | unlinkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Unlink Annotation. More...
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedImageList () const
| Get size of linked Image list. More...
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type | getLinkedImageList () const
| Get the linked Image list. More...
const ome::compat::weak_ptr< ome::xml::model::Image > & | getLinkedImage (OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Image. More...
const ome::compat::weak_ptr< ome::xml::model::Image > & | setLinkedImage (OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Set linked Image. More...
bool | linkImage (const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Link Image. More...
bool | unlinkImage (const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Unlink Image. More...
OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedMicrobeamManipulationList () const
| Get size of linked MicrobeamManipulation list. More...
OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type | getLinkedMicrobeamManipulationList () const
| Get the linked MicrobeamManipulation list. More...
const ome::compat::weak_ptr< ome::xml::model::MicrobeamManipulation > & | getLinkedMicrobeamManipulation (OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type::size_type index) const
| Get linked MicrobeamManipulation. More...
const ome::compat::weak_ptr< ome::xml::model::MicrobeamManipulation > & | setLinkedMicrobeamManipulation (OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::MicrobeamManipulation > &microbeamManipulation_BackReference)
| Set linked MicrobeamManipulation. More...
bool | linkMicrobeamManipulation (const ome::compat::shared_ptr< ome::xml::model::MicrobeamManipulation > &microbeamManipulation_BackReference)
| Link MicrobeamManipulation. More...
bool | unlinkMicrobeamManipulation (const ome::compat::shared_ptr< ome::xml::model::MicrobeamManipulation > &microbeamManipulation_BackReference)
| Unlink MicrobeamManipulation. More...
OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedProjectList () const
| Get size of linked Project list. More...
OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type | getLinkedProjectList () const
| Get the linked Project list. More...
const ome::compat::weak_ptr< ome::xml::model::Project > & | getLinkedProject (OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Project. More...
const ome::compat::weak_ptr< ome::xml::model::Project > & | setLinkedProject (OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Set linked Project. More...
bool | linkProject (const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Link Project. More...
bool | unlinkProject (const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Unlink Project. More...
OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedExperimenterGroupList () const
| Get size of linked ExperimenterGroup list. More...
OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type | getLinkedExperimenterGroupList () const
| Get the linked ExperimenterGroup list. More...
const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & | getLinkedExperimenterGroup (OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type index) const
| Get linked ExperimenterGroup. More...
const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & | setLinkedExperimenterGroup (OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Set linked ExperimenterGroup. More...
bool | linkExperimenterGroup (const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Link ExperimenterGroup. More...
bool | unlinkExperimenterGroup (const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Unlink ExperimenterGroup. More...
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedDatasetList () const
| Get size of linked Dataset list. More...
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type | getLinkedDatasetList () const
| Get the linked Dataset list. More...
const ome::compat::weak_ptr< ome::xml::model::Dataset > & | getLinkedDataset (OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Dataset. More...
const ome::compat::weak_ptr< ome::xml::model::Dataset > & | setLinkedDataset (OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Set linked Dataset. More...
bool | linkDataset (const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Link Dataset. More...
bool | unlinkDataset (const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Unlink Dataset. More...
OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedExperimentList () const
| Get size of linked Experiment list. More...
OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type | getLinkedExperimentList () const
| Get the linked Experiment list. More...
const ome::compat::weak_ptr< ome::xml::model::Experiment > & | getLinkedExperiment (OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Experiment. More...
const ome::compat::weak_ptr< ome::xml::model::Experiment > & | setLinkedExperiment (OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment_BackReference)
| Set linked Experiment. More...
bool | linkExperiment (const ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment_BackReference)
| Link Experiment. More...
bool | unlinkExperiment (const ome::compat::shared_ptr< ome::xml::model::Experiment > &experiment_BackReference)
| Unlink Experiment. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Static Public Member Functions
static ome::compat::shared_ptr< Experimenter > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a Experimenter model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
Experimenter & | operator= (const Experimenter &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

Experimenter model object.

## Constructor & Destructor Documentation

## § Experimenter()

ome::xml::model::Experimenter::Experimenter | ( | const Experimenter & | copy | ) |

Copy constructor.

Parameters

  copy | the Experimenter to copy.

## Member Function Documentation

## § asXMLElement()

common::xml::dom::Element ome::xml::model::Experimenter::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::OMEModelObject.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::Experimenter::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::detail::OMEModelObject.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::detail::OMEModelObject::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), impl, and ome::common::xml::dom::Element::setAttribute().

Referenced by asXMLElement().

Here is the caller graph for this function:

## § create()

ome::compat::shared_ptr< Experimenter > ome::xml::model::Experimenter::create | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| static

Create a Experimenter model object from DOM element.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Returns
  a new model object.

Referenced by ome::xml::model::OME::update().

Here is the caller graph for this function:

## § elementName()

const std::string & ome::xml::model::Experimenter::elementName | ( |  | ) | const
| virtual

Get the element name of this model object.

This will be the most-derived class name.

Returns
  the element type.

Implements ome::xml::model::OMEModelObject.

## § getEmail() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getEmail | ( |  | ) |

Get the Email property.

Returns
  the Email property.

References impl.

## § getEmail() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getEmail | ( |  | ) | const

Get the Email property.

Returns
  the Email property.

References impl.

## § getFirstName() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getFirstName | ( |  | ) |

Get the FirstName property.

Returns
  the FirstName property.

References impl.

## § getFirstName() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getFirstName | ( |  | ) | const

Get the FirstName property.

Returns
  the FirstName property.

References impl.

## § getID()

const std::string & ome::xml::model::Experimenter::getID | ( |  | ) | const

Get the ID property.

Returns
  the ID property.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § getInstitution() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getInstitution | ( |  | ) |

Get the Institution property.

Returns
  the Institution property.

References impl.

## § getInstitution() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getInstitution | ( |  | ) | const

Get the Institution property.

Returns
  the Institution property.

References impl.

## § getLastName() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getLastName | ( |  | ) |

Get the LastName property.

Returns
  the LastName property.

References impl.

## § getLastName() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getLastName | ( |  | ) | const

Get the LastName property.

Returns
  the LastName property.

References impl.

## § getLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::Experimenter::getLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Annotation.

Parameters

  index | the index number of the Annotation.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type ome::xml::model::Experimenter::getLinkedAnnotationList | ( |  | ) | const

Get the linked Annotation list.

Returns
  a reference to the list.

References impl.

## § getLinkedDataset()

const ome::compat::weak_ptr< ome::xml::model::Dataset > & ome::xml::model::Experimenter::getLinkedDataset | ( | OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Dataset.

Parameters

  index | the index number of the Dataset.

Returns
  a weak pointer to the Dataset.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedDatasetList()

OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type ome::xml::model::Experimenter::getLinkedDatasetList | ( |  | ) | const

Get the linked Dataset list.

Returns
  a reference to the list.

References impl.

## § getLinkedExperiment()

const ome::compat::weak_ptr< ome::xml::model::Experiment > & ome::xml::model::Experimenter::getLinkedExperiment | ( | OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Experiment.

Parameters

  index | the index number of the Experiment.

Returns
  a weak pointer to the Experiment.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedExperimenterGroup()

const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & ome::xml::model::Experimenter::getLinkedExperimenterGroup | ( | OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked ExperimenterGroup.

Parameters

  index | the index number of the ExperimenterGroup.

Returns
  a weak pointer to the ExperimenterGroup.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedExperimenterGroupList()

OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type ome::xml::model::Experimenter::getLinkedExperimenterGroupList | ( |  | ) | const

Get the linked ExperimenterGroup list.

Returns
  a reference to the list.

References impl.

## § getLinkedExperimentList()

OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type ome::xml::model::Experimenter::getLinkedExperimentList | ( |  | ) | const

Get the linked Experiment list.

Returns
  a reference to the list.

References impl.

## § getLinkedImage()

const ome::compat::weak_ptr< ome::xml::model::Image > & ome::xml::model::Experimenter::getLinkedImage | ( | OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Image.

Parameters

  index | the index number of the Image.

Returns
  a weak pointer to the Image.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedImageList()

OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type ome::xml::model::Experimenter::getLinkedImageList | ( |  | ) | const

Get the linked Image list.

Returns
  a reference to the list.

References impl.

## § getLinkedMicrobeamManipulation()

const ome::compat::weak_ptr< ome::xml::model::MicrobeamManipulation > & ome::xml::model::Experimenter::getLinkedMicrobeamManipulation | ( | OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked MicrobeamManipulation.

Parameters

  index | the index number of the MicrobeamManipulation.

Returns
  a weak pointer to the MicrobeamManipulation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedMicrobeamManipulationList()

OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type ome::xml::model::Experimenter::getLinkedMicrobeamManipulationList | ( |  | ) | const

Get the linked MicrobeamManipulation list.

Returns
  a reference to the list.

References impl.

## § getLinkedProject()

const ome::compat::weak_ptr< ome::xml::model::Project > & ome::xml::model::Experimenter::getLinkedProject | ( | OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Project.

Parameters

  index | the index number of the Project.

Returns
  a weak pointer to the Project.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedProjectList()

OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type ome::xml::model::Experimenter::getLinkedProjectList | ( |  | ) | const

Get the linked Project list.

Returns
  a reference to the list.

References impl.

## § getMiddleName() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getMiddleName | ( |  | ) |

Get the MiddleName property.

Returns
  the MiddleName property.

References impl.

## § getMiddleName() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getMiddleName | ( |  | ) | const

Get the MiddleName property.

Returns
  the MiddleName property.

References impl.

## § getUserName() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getUserName | ( |  | ) |

Get the UserName property.

Returns
  the UserName property.

References impl.

## § getUserName() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Experimenter::getUserName | ( |  | ) | const

Get the UserName property.

Returns
  the UserName property.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::Experimenter::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::Experimenter::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

References impl, ome::xml::model::detail::OMEModelObject::link(), ome::xml::model::Annotation::linkExperimenter(), and ome::xml::model::detail::OMEModelObject::logger.

## § linkAnnotation()

bool ome::xml::model::Experimenter::linkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Link Annotation.

Parameters

  annotation | the Annotation to link.

Returns
  `true` if the object was added to the internal annotationLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkDataset()

bool ome::xml::model::Experimenter::linkDataset | ( | const ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset_BackReference | ) |

Link Dataset.

Parameters

  dataset_BackReference | the Dataset to link.

Returns
  `true` if the object was added to the internal datasets list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Dataset::link().

Here is the caller graph for this function:

## § linkExperiment()

bool ome::xml::model::Experimenter::linkExperiment | ( | const ome::compat::shared_ptr< ome::xml::model::Experiment > & | experiment_BackReference | ) |

Link Experiment.

Parameters

  experiment_BackReference | the Experiment to link.

Returns
  `true` if the object was added to the internal experiments list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Experiment::link().

Here is the caller graph for this function:

## § linkExperimenterGroup()

bool ome::xml::model::Experimenter::linkExperimenterGroup | ( | const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup_BackReference | ) |

Link ExperimenterGroup.

Parameters

  experimenterGroup_BackReference | the ExperimenterGroup to link.

Returns
  `true` if the object was added to the internal experimenterGroupLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::ExperimenterGroup::link().

Here is the caller graph for this function:

## § linkImage()

bool ome::xml::model::Experimenter::linkImage | ( | const ome::compat::shared_ptr< ome::xml::model::Image > & | image_BackReference | ) |

Link Image.

Parameters

  image_BackReference | the Image to link.

Returns
  `true` if the object was added to the internal images list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Image::link().

Here is the caller graph for this function:

## § linkMicrobeamManipulation()

bool ome::xml::model::Experimenter::linkMicrobeamManipulation | ( | const ome::compat::shared_ptr< ome::xml::model::MicrobeamManipulation > & | microbeamManipulation_BackReference | ) |

Link MicrobeamManipulation.

Parameters

  microbeamManipulation_BackReference | the MicrobeamManipulation to link.

Returns
  `true` if the object was added to the internal microbeamManipulations list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::MicrobeamManipulation::link().

Here is the caller graph for this function:

## § linkProject()

bool ome::xml::model::Experimenter::linkProject | ( | const ome::compat::shared_ptr< ome::xml::model::Project > & | project_BackReference | ) |

Link Project.

Parameters

  project_BackReference | the Project to link.

Returns
  `true` if the object was added to the internal projects list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Project::link().

Here is the caller graph for this function:

## § setEmail()

void ome::xml::model::Experimenter::setEmail | ( | ome::compat::shared_ptr< std::string > & | email | ) |

Set the Email property.

Parameters

  email | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setFirstName()

void ome::xml::model::Experimenter::setFirstName | ( | ome::compat::shared_ptr< std::string > & | firstName | ) |

Set the FirstName property.

Parameters

  firstName | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setID()

void ome::xml::model::Experimenter::setID | ( | const std::string & | id | ) |

Set the ID property.

Parameters

  id | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setInstitution()

void ome::xml::model::Experimenter::setInstitution | ( | ome::compat::shared_ptr< std::string > & | institution | ) |

Set the Institution property.

Parameters

  institution | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setLastName()

void ome::xml::model::Experimenter::setLastName | ( | ome::compat::shared_ptr< std::string > & | lastName | ) |

Set the LastName property.

Parameters

  lastName | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::Experimenter::setLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation
| ) |  |

Set linked Annotation.

Note
  The index must be valid.

Parameters

  index | the index number of the Annotation.
  annotation | the Annotation to set.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedDataset()

const ome::compat::weak_ptr< ome::xml::model::Dataset > & ome::xml::model::Experimenter::setLinkedDataset | ( | OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset_BackReference
| ) |  |

Set linked Dataset.

Note
  The index must be valid.

Parameters

  index | the index number of the Dataset.
  dataset_BackReference | the Dataset to set.

Returns
  a weak pointer to the Dataset.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedExperiment()

const ome::compat::weak_ptr< ome::xml::model::Experiment > & ome::xml::model::Experimenter::setLinkedExperiment | ( | OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Experiment > & | experiment_BackReference
| ) |  |

Set linked Experiment.

Note
  The index must be valid.

Parameters

  index | the index number of the Experiment.
  experiment_BackReference | the Experiment to set.

Returns
  a weak pointer to the Experiment.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedExperimenterGroup()

const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & ome::xml::model::Experimenter::setLinkedExperimenterGroup | ( | OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup_BackReference
| ) |  |

Set linked ExperimenterGroup.

Note
  The index must be valid.

Parameters

  index | the index number of the ExperimenterGroup.
  experimenterGroup_BackReference | the ExperimenterGroup to set.

Returns
  a weak pointer to the ExperimenterGroup.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedImage()

const ome::compat::weak_ptr< ome::xml::model::Image > & ome::xml::model::Experimenter::setLinkedImage | ( | OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Image > & | image_BackReference
| ) |  |

Set linked Image.

Note
  The index must be valid.

Parameters

  index | the index number of the Image.
  image_BackReference | the Image to set.

Returns
  a weak pointer to the Image.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedMicrobeamManipulation()

const ome::compat::weak_ptr< ome::xml::model::MicrobeamManipulation > & ome::xml::model::Experimenter::setLinkedMicrobeamManipulation | ( | OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::MicrobeamManipulation > & | microbeamManipulation_BackReference
| ) |  |

Set linked MicrobeamManipulation.

Note
  The index must be valid.

Parameters

  index | the index number of the MicrobeamManipulation.
  microbeamManipulation_BackReference | the MicrobeamManipulation to set.

Returns
  a weak pointer to the MicrobeamManipulation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedProject()

const ome::compat::weak_ptr< ome::xml::model::Project > & ome::xml::model::Experimenter::setLinkedProject | ( | OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Project > & | project_BackReference
| ) |  |

Set linked Project.

Note
  The index must be valid.

Parameters

  index | the index number of the Project.
  project_BackReference | the Project to set.

Returns
  a weak pointer to the Project.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setMiddleName()

void ome::xml::model::Experimenter::setMiddleName | ( | ome::compat::shared_ptr< std::string > & | middleName | ) |

Set the MiddleName property.

Parameters

  middleName | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setUserName()

void ome::xml::model::Experimenter::setUserName | ( | ome::compat::shared_ptr< std::string > & | userName | ) |

Set the UserName property.

Parameters

  userName | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § sizeOfLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type ome::xml::model::Experimenter::sizeOfLinkedAnnotationList | ( |  | ) | const

Get size of linked Annotation list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedDatasetList()

OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type ome::xml::model::Experimenter::sizeOfLinkedDatasetList | ( |  | ) | const

Get size of linked Dataset list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedExperimenterGroupList()

OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type ome::xml::model::Experimenter::sizeOfLinkedExperimenterGroupList | ( |  | ) | const

Get size of linked ExperimenterGroup list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedExperimentList()

OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type::size_type ome::xml::model::Experimenter::sizeOfLinkedExperimentList | ( |  | ) | const

Get size of linked Experiment list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedImageList()

OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type ome::xml::model::Experimenter::sizeOfLinkedImageList | ( |  | ) | const

Get size of linked Image list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedMicrobeamManipulationList()

OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type::size_type ome::xml::model::Experimenter::sizeOfLinkedMicrobeamManipulationList | ( |  | ) | const

Get size of linked MicrobeamManipulation list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedProjectList()

OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type ome::xml::model::Experimenter::sizeOfLinkedProjectList | ( |  | ) | const

Get size of linked Project list.

Returns
  the size of the list.

References impl.

## § unlinkAnnotation()

bool ome::xml::model::Experimenter::unlinkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Unlink Annotation.

Parameters

  annotation | the Annotation to unlink.

Returns
  `true` if the Annotation was unlinked, otherwise `false` if the Annotation was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkDataset()

bool ome::xml::model::Experimenter::unlinkDataset | ( | const ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset_BackReference | ) |

Unlink Dataset.

Parameters

  dataset_BackReference | the Dataset to unlink.

Returns
  `true` if the Dataset was unlinked, otherwise `false` if the Dataset was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkExperiment()

bool ome::xml::model::Experimenter::unlinkExperiment | ( | const ome::compat::shared_ptr< ome::xml::model::Experiment > & | experiment_BackReference | ) |

Unlink Experiment.

Parameters

  experiment_BackReference | the Experiment to unlink.

Returns
  `true` if the Experiment was unlinked, otherwise `false` if the Experiment was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkExperimenterGroup()

bool ome::xml::model::Experimenter::unlinkExperimenterGroup | ( | const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup_BackReference | ) |

Unlink ExperimenterGroup.

Parameters

  experimenterGroup_BackReference | the ExperimenterGroup to unlink.

Returns
  `true` if the ExperimenterGroup was unlinked, otherwise `false` if the ExperimenterGroup was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkImage()

bool ome::xml::model::Experimenter::unlinkImage | ( | const ome::compat::shared_ptr< ome::xml::model::Image > & | image_BackReference | ) |

Unlink Image.

Parameters

  image_BackReference | the Image to unlink.

Returns
  `true` if the Image was unlinked, otherwise `false` if the Image was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkMicrobeamManipulation()

bool ome::xml::model::Experimenter::unlinkMicrobeamManipulation | ( | const ome::compat::shared_ptr< ome::xml::model::MicrobeamManipulation > & | microbeamManipulation_BackReference | ) |

Unlink MicrobeamManipulation.

Parameters

  microbeamManipulation_BackReference | the MicrobeamManipulation to unlink.

Returns
  `true` if the MicrobeamManipulation was unlinked, otherwise `false` if the MicrobeamManipulation was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkProject()

bool ome::xml::model::Experimenter::unlinkProject | ( | const ome::compat::shared_ptr< ome::xml::model::Project > & | project_BackReference | ) |

Unlink Project.

Parameters

  project_BackReference | the Project to unlink.

Returns
  `true` if the Project was unlinked, otherwise `false` if the Project was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § update()

void ome::xml::model::Experimenter::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Implements ome::xml::model::OMEModelObject.

References ome::xml::model::OMEModel::addModelObject(), ome::xml::model::OMEModel::addReference(), ome::common::xml::dom::Element::getAttribute(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), getID(), ome::common::xml::dom::Element::getTagName(), ome::common::xml::dom::Element::hasAttribute(), ome::xml::model::detail::OMEModelObject::logger, setEmail(), setFirstName(), setID(), setInstitution(), setLastName(), setMiddleName(), setUserName(), ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::detail::OMEModelObject::update(), and validElementName().

## § validElementName()

bool ome::xml::model::Experimenter::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

References ome::xml::model::detail::OMEModelObject::validElementName().

Referenced by update().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/Experimenter.h
- ome/xml/model/Experimenter.cpp